<template>
    <div :class="{ 'select_date_range' : submited }">
        <p v-if="!submited">Select range</p>
        <p v-else>Selected range</p>
        <div class="daterange">
            <client-only>
                <v-date-picker
                    mode="range"
                    v-model="dateRange"
                    color="blue"
                    :step="1"
                    locale="farmer"
                />
            </client-only>
            <button v-if="!submited" @click="sendDate">
                SUBMIT
                <img src="~/assets/images/arrow.svg" alt="ARROW">
            </button>
            <button v-else @click="sendDate">
                EDIT
                <img src="~/assets/images/pen.png" alt="PENCIL">
            </button>
        </div>
    </div>
</template>

<script>
export default {
    data() {
        return {
            dateRange: {
                start: '',
                end: ''
            },
            submited: false,
        }
    },
    methods: {
        sendDate() {
            if(this.dateRange.start === '' || this.dateRange.end === '') {
                return;
            }

            const dateRange = {
                from: this.$moment(this.dateRange.start).format('YYYY-MM-DD'),
                till: this.$moment(this.dateRange.end).format('YYYY-MM-DD'),
            }
            
            this.$emit('dateRange', dateRange);
            this.submited = true;
        }
    }
}
</script>
